Bug 2014460 - tps tests fail with cross dependency on sssd debuginfo package: removal of 'sssd-libwbclient-debuginfo' is missing [rhel-8.5.0.z]
Summary: tps tests fail with cross dependency on sssd debuginfo package: removal of 's...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: sssd
Version: 8.5
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: Alexey Tikhonov
QA Contact: Steeve Goveas
URL:
Whiteboard: sync-to-jira
Depends On: 2012122
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-15 10:03 UTC by RHEL Program Management Team
Modified: 2021-11-10 10:44 UTC (History)
10 users (show)

Fixed In Version: sssd-2.5.2-2.el8_5.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2012122
Environment:
Last Closed: 2021-11-09 20:19:08 UTC
Type: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHELPLAN-99965 0 None None None 2021-10-15 10:07:47 UTC
Red Hat Issue Tracker SSSD-4033 0 None None None 2021-10-21 08:28:01 UTC
Red Hat Product Errata RHBA-2021:4541 0 None None None 2021-11-09 20:19:09 UTC

Comment 1 Alexey Tikhonov 2021-10-15 10:06:35 UTC
```
--- a/sssd.spec
+++ b/sssd.spec
@@ -19,7 +19,7 @@
 
 Name: sssd
 Version: 2.5.2
-Release: 2%{?dist}
+Release: 2%{?dist}.1
 Group: Applications/System
 Summary: System Security Services Daemon
 License: GPLv3+
@@ -137,6 +137,7 @@ Conflicts: selinux-policy < 3.10.0-46
 Conflicts: sssd < 1.10.0-8%{?dist}.beta2
 # sssd-libwbclient is removed from RHEL8 starting 8.5 that is based on sssd-2.5
 Obsoletes: sssd-libwbclient < 2.5.0
+Obsoletes: sssd-libwbclient-debuginfo < 2.5.0
 # Requires
 # Explicitly require RHEL-8.0 versions of the Samba libraries
 # in order to prevent untested combinations of a new SSSD and
```

Comment 4 Steeve Goveas 2021-10-20 15:35:05 UTC
[root@auto-hv-02-guest06 newrpms]# rpm -q sssd-debuginfo libipa_hbac-devel libsss_certmap-devel libsss_idmap-devel libsss_simpleifp-devel libipa_hbac libipa_hbac-debuginfo libsmbclient libsss_autofs libsss_autofs-debuginfo libsss_certmap libsss_certmap-debuginfo libsss_idmap libsss_idmap-debuginfo libsss_nss_idmap libsss_nss_idmap-debuginfo libsss_nss_idmap-devel libsss_simpleifp libsss_simpleifp-debuginfo libsss_sudo libsss_sudo-debuginfo python3-libipa_hbac python3-libipa_hbac-debuginfo python3-libsss_nss_idmap python3-libsss_nss_idmap-debuginfo python3-sss python3-sss-debuginfo python3-sss-murmur python3-sss-murmur-debuginfo python3-sssdconfig sssd sssd-ad sssd-ad-debuginfo sssd-client sssd-client-debuginfo sssd-common sssd-common-debuginfo sssd-common-pac-debuginfo sssd-common-pac sssd-dbus sssd-dbus-debuginfo sssd-debugsource sssd-ipa sssd-ipa-debuginfo sssd-kcm sssd-kcm-debuginfo sssd-krb5-common sssd-krb5 sssd-krb5-common-debuginfo sssd-ldap sssd-krb5-debuginfo sssd-ldap-debuginfo sssd-nfs-idmap sssd-nfs-idmap-debuginfo sssd-polkit-rules sssd-proxy sssd-proxy-debuginfo sssd-tools sssd-tools-debuginfo sssd-winbind-idmap sssd-winbind-idmap-debuginfo sssd-libwbclient-debuginfo sssd-libwbclient python3-sssdconfig
sssd-debuginfo-2.4.0-9.el8_4.2.x86_64
libipa_hbac-devel-2.4.0-9.el8_4.2.x86_64
libsss_certmap-devel-2.4.0-9.el8_4.2.x86_64
libsss_idmap-devel-2.4.0-9.el8_4.2.x86_64
libsss_simpleifp-devel-2.4.0-9.el8_4.2.x86_64
libipa_hbac-2.4.0-9.el8_4.2.x86_64
libipa_hbac-debuginfo-2.4.0-9.el8_4.2.x86_64
libsmbclient-4.13.3-5.el8_4.x86_64
libsss_autofs-2.4.0-9.el8_4.2.x86_64
libsss_autofs-debuginfo-2.4.0-9.el8_4.2.x86_64
libsss_certmap-2.4.0-9.el8_4.2.x86_64
libsss_certmap-debuginfo-2.4.0-9.el8_4.2.x86_64
libsss_idmap-2.4.0-9.el8_4.2.x86_64
libsss_idmap-debuginfo-2.4.0-9.el8_4.2.x86_64
libsss_nss_idmap-2.4.0-9.el8_4.2.x86_64
libsss_nss_idmap-debuginfo-2.4.0-9.el8_4.2.x86_64
libsss_nss_idmap-devel-2.4.0-9.el8_4.2.x86_64
libsss_simpleifp-2.4.0-9.el8_4.2.x86_64
libsss_simpleifp-debuginfo-2.4.0-9.el8_4.2.x86_64
libsss_sudo-2.4.0-9.el8_4.2.x86_64
libsss_sudo-debuginfo-2.4.0-9.el8_4.2.x86_64
python3-libipa_hbac-2.4.0-9.el8_4.2.x86_64
python3-libipa_hbac-debuginfo-2.4.0-9.el8_4.2.x86_64
python3-libsss_nss_idmap-2.4.0-9.el8_4.2.x86_64
python3-libsss_nss_idmap-debuginfo-2.4.0-9.el8_4.2.x86_64
python3-sss-2.4.0-9.el8_4.2.x86_64
python3-sss-debuginfo-2.4.0-9.el8_4.2.x86_64
python3-sss-murmur-2.4.0-9.el8_4.2.x86_64
python3-sss-murmur-debuginfo-2.4.0-9.el8_4.2.x86_64
python3-sssdconfig-2.4.0-9.el8_4.2.noarch
sssd-2.4.0-9.el8_4.2.x86_64
sssd-ad-2.4.0-9.el8_4.2.x86_64
sssd-ad-debuginfo-2.4.0-9.el8_4.2.x86_64
sssd-client-2.4.0-9.el8_4.2.x86_64
sssd-client-debuginfo-2.4.0-9.el8_4.2.x86_64
sssd-common-2.4.0-9.el8_4.2.x86_64
sssd-common-debuginfo-2.4.0-9.el8_4.2.x86_64
sssd-common-pac-debuginfo-2.4.0-9.el8_4.2.x86_64
sssd-common-pac-2.4.0-9.el8_4.2.x86_64
sssd-dbus-2.4.0-9.el8_4.2.x86_64
sssd-dbus-debuginfo-2.4.0-9.el8_4.2.x86_64
sssd-debugsource-2.4.0-9.el8_4.2.x86_64
sssd-ipa-2.4.0-9.el8_4.2.x86_64
sssd-ipa-debuginfo-2.4.0-9.el8_4.2.x86_64
sssd-kcm-2.4.0-9.el8_4.2.x86_64
sssd-kcm-debuginfo-2.4.0-9.el8_4.2.x86_64
sssd-krb5-common-2.4.0-9.el8_4.2.x86_64
sssd-krb5-2.4.0-9.el8_4.2.x86_64
sssd-krb5-common-debuginfo-2.4.0-9.el8_4.2.x86_64
sssd-ldap-2.4.0-9.el8_4.2.x86_64
sssd-krb5-debuginfo-2.4.0-9.el8_4.2.x86_64
sssd-ldap-debuginfo-2.4.0-9.el8_4.2.x86_64
sssd-nfs-idmap-2.4.0-9.el8_4.2.x86_64
sssd-nfs-idmap-debuginfo-2.4.0-9.el8_4.2.x86_64
sssd-polkit-rules-2.4.0-9.el8_4.2.x86_64
sssd-proxy-2.4.0-9.el8_4.2.x86_64
sssd-proxy-debuginfo-2.4.0-9.el8_4.2.x86_64
sssd-tools-2.4.0-9.el8_4.2.x86_64
sssd-tools-debuginfo-2.4.0-9.el8_4.2.x86_64
sssd-winbind-idmap-2.4.0-9.el8_4.2.x86_64
sssd-winbind-idmap-debuginfo-2.4.0-9.el8_4.2.x86_64
sssd-libwbclient-debuginfo-2.4.0-9.el8_4.2.x86_64
sssd-libwbclient-2.4.0-9.el8_4.2.x86_64
python3-sssdconfig-2.4.0-9.el8_4.2.noarch


[root@auto-hv-02-guest06 newrpms]# rpm -q sssd-debuginfo libipa_hbac-devel libsss_certmap-devel libsss_idmap-devel libsss_simpleifp-devel libipa_hbac libipa_hbac-debuginfo libsmbclient libsss_autofs libsss_autofs-debuginfo libsss_certmap libsss_certmap-debuginfo libsss_idmap libsss_idmap-debuginfo libsss_nss_idmap libsss_nss_idmap-debuginfo libsss_nss_idmap-devel libsss_simpleifp libsss_simpleifp-debuginfo libsss_sudo libsss_sudo-debuginfo python3-libipa_hbac python3-libipa_hbac-debuginfo python3-libsss_nss_idmap python3-libsss_nss_idmap-debuginfo python3-sss python3-sss-debuginfo python3-sss-murmur python3-sss-murmur-debuginfo python3-sssdconfig sssd sssd-ad sssd-ad-debuginfo sssd-client sssd-client-debuginfo sssd-common sssd-common-debuginfo sssd-common-pac-debuginfo sssd-common-pac sssd-dbus sssd-dbus-debuginfo sssd-debugsource sssd-ipa sssd-ipa-debuginfo sssd-kcm sssd-kcm-debuginfo sssd-krb5-common sssd-krb5 sssd-krb5-common-debuginfo sssd-ldap sssd-krb5-debuginfo sssd-ldap-debuginfo sssd-nfs-idmap sssd-nfs-idmap-debuginfo sssd-polkit-rules sssd-proxy sssd-proxy-debuginfo sssd-tools sssd-tools-debuginfo sssd-winbind-idmap sssd-winbind-idmap-debuginfo sssd-libwbclient-debuginfo sssd-libwbclient python3-sssdconfig | wc -l
64

[root@auto-hv-02-guest06 newrpms]# yum install *.rpm --enablerepo *-debuginfo --enablerepo *-CRB --enablerepo *-buildroot
Updating Subscription Management repositories.
Unable to read consumer identity

This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.

Last metadata expiration check: 1:03:19 ago on Wed 20 Oct 2021 06:34:09 AM EDT.
Dependencies resolved.
================================================================================================================================================================================
 Package                                                    Architecture                   Version                                   Repository                            Size
================================================================================================================================================================================
Upgrading:
 libipa_hbac                                                x86_64                         2.5.2-2.el8_5.1                           @commandline                         114 k
 libipa_hbac-debuginfo                                      x86_64                         2.5.2-2.el8_5.1                           @commandline                         106 k
 libipa_hbac-devel                                          x86_64                         2.5.2-2.el8_5.1                           @commandline                         184 k
 libsmbclient                                               x86_64                         4.14.5-2.el8                              rhel                                 146 k
 libsss_autofs                                              x86_64                         2.5.2-2.el8_5.1                           @commandline                         117 k
 libsss_autofs-debuginfo                                    x86_64                         2.5.2-2.el8_5.1                           @commandline                         120 k
 libsss_certmap                                             x86_64                         2.5.2-2.el8_5.1                           @commandline                         154 k
 libsss_certmap-debuginfo                                   x86_64                         2.5.2-2.el8_5.1                           @commandline                         152 k
 libsss_certmap-devel                                       x86_64                         2.5.2-2.el8_5.1                           @commandline                         188 k
 libsss_idmap                                               x86_64                         2.5.2-2.el8_5.1                           @commandline                         119 k
 libsss_idmap-debuginfo                                     x86_64                         2.5.2-2.el8_5.1                           @commandline                         123 k
 libsss_idmap-devel                                         x86_64                         2.5.2-2.el8_5.1                           @commandline                         189 k
 libsss_nss_idmap                                           x86_64                         2.5.2-2.el8_5.1                           @commandline                         126 k
 libsss_nss_idmap-debuginfo                                 x86_64                         2.5.2-2.el8_5.1                           @commandline                         145 k
 libsss_nss_idmap-devel                                     x86_64                         2.5.2-2.el8_5.1                           @commandline                         175 k
 libsss_simpleifp                                           x86_64                         2.5.2-2.el8_5.1                           @commandline                         106 k
 libsss_simpleifp-debuginfo                                 x86_64                         2.5.2-2.el8_5.1                           @commandline                         123 k
 libsss_simpleifp-devel                                     x86_64                         2.5.2-2.el8_5.1                           @commandline                         185 k
 libsss_sudo                                                x86_64                         2.5.2-2.el8_5.1                           @commandline                         115 k
 libsss_sudo-debuginfo                                      x86_64                         2.5.2-2.el8_5.1                           @commandline                         119 k
 libtevent                                                  x86_64                         0.11.0-0.el8                              rhel                                  49 k
 libwbclient                                                x86_64                         4.14.5-2.el8                              rhel                                 120 k
 python3-libipa_hbac                                        x86_64                         2.5.2-2.el8_5.1                           @commandline                         107 k
 python3-libipa_hbac-debuginfo                              x86_64                         2.5.2-2.el8_5.1                           @commandline                         130 k
 python3-libsss_nss_idmap                                   x86_64                         2.5.2-2.el8_5.1                           @commandline                         100 k
 python3-libsss_nss_idmap-debuginfo                         x86_64                         2.5.2-2.el8_5.1                           @commandline                         109 k
 python3-sss                                                x86_64                         2.5.2-2.el8_5.1                           @commandline                         116 k
 python3-sss-debuginfo                                      x86_64                         2.5.2-2.el8_5.1                           @commandline                         142 k
 python3-sss-murmur                                         x86_64                         2.5.2-2.el8_5.1                           @commandline                          97 k
 python3-sss-murmur-debuginfo                               x86_64                         2.5.2-2.el8_5.1                           @commandline                         105 k
 python3-sssdconfig                                         noarch                         2.5.2-2.el8_5.1                           rhel                                 141 k
 samba-client-libs                                          x86_64                         4.14.5-2.el8                              rhel                                 5.4 M
 samba-common                                               noarch                         4.14.5-2.el8                              rhel                                 219 k
 samba-common-libs                                          x86_64                         4.14.5-2.el8                              rhel                                 172 k
 sssd                                                       x86_64                         2.5.2-2.el8_5.1                           @commandline                         105 k
 sssd-ad                                                    x86_64                         2.5.2-2.el8_5.1                           @commandline                         269 k
 sssd-ad-debuginfo                                          x86_64                         2.5.2-2.el8_5.1                           @commandline                         329 k
 sssd-client                                                x86_64                         2.5.2-2.el8_5.1                           @commandline                         204 k
 sssd-client-debuginfo                                      x86_64                         2.5.2-2.el8_5.1                           @commandline                         273 k
 sssd-common                                                x86_64                         2.5.2-2.el8_5.1                           @commandline                         1.6 M
     replacing  sssd-libwbclient.x86_64 2.4.0-9.el8_4.2
     replacing  sssd-libwbclient-debuginfo.x86_64 2.4.0-9.el8_4.2
 sssd-common-debuginfo                                      x86_64                         2.5.2-2.el8_5.1                           @commandline                         2.7 M
 sssd-common-pac                                            x86_64                         2.5.2-2.el8_5.1                           @commandline                         177 k
 sssd-common-pac-debuginfo                                  x86_64                         2.5.2-2.el8_5.1                           @commandline                         270 k
 sssd-dbus                                                  x86_64                         2.5.2-2.el8_5.1                           @commandline                         215 k
 sssd-dbus-debuginfo                                        x86_64                         2.5.2-2.el8_5.1                           @commandline                         332 k
 sssd-debuginfo                                             x86_64                         2.5.2-2.el8_5.1                           @commandline                         192 k
 sssd-debugsource                                           x86_64                         2.5.2-2.el8_5.1                           @commandline                         1.4 M
 sssd-ipa                                                   x86_64                         2.5.2-2.el8_5.1                           @commandline                         346 k
 sssd-ipa-debuginfo                                         x86_64                         2.5.2-2.el8_5.1                           @commandline                         522 k
 sssd-kcm                                                   x86_64                         2.5.2-2.el8_5.1                           @commandline                         253 k
 sssd-kcm-debuginfo                                         x86_64                         2.5.2-2.el8_5.1                           @commandline                         453 k
 sssd-krb5                                                  x86_64                         2.5.2-2.el8_5.1                           @commandline                         148 k
 sssd-krb5-common                                           x86_64                         2.5.2-2.el8_5.1                           @commandline                         184 k
 sssd-krb5-common-debuginfo                                 x86_64                         2.5.2-2.el8_5.1                           @commandline                         275 k
 sssd-krb5-debuginfo                                        x86_64                         2.5.2-2.el8_5.1                           @commandline                         105 k
 sssd-ldap                                                  x86_64                         2.5.2-2.el8_5.1                           @commandline                         207 k
 sssd-ldap-debuginfo                                        x86_64                         2.5.2-2.el8_5.1                           @commandline                         117 k
 sssd-nfs-idmap                                             x86_64                         2.5.2-2.el8_5.1                           @commandline                         114 k
 sssd-nfs-idmap-debuginfo                                   x86_64                         2.5.2-2.el8_5.1                           @commandline                         130 k
 sssd-polkit-rules                                          x86_64                         2.5.2-2.el8_5.1                           @commandline                          93 k
 sssd-proxy                                                 x86_64                         2.5.2-2.el8_5.1                           @commandline                         146 k
 sssd-proxy-debuginfo                                       x86_64                         2.5.2-2.el8_5.1                           @commandline                         180 k
 sssd-tools                                                 x86_64                         2.5.2-2.el8_5.1                           @commandline                         314 k
 sssd-tools-debuginfo                                       x86_64                         2.5.2-2.el8_5.1                           @commandline                         252 k
 sssd-winbind-idmap                                         x86_64                         2.5.2-2.el8_5.1                           @commandline                         103 k
 sssd-winbind-idmap-debuginfo                               x86_64                         2.5.2-2.el8_5.1                           @commandline                         101 k

Transaction Summary
================================================================================================================================================================================
Upgrade  66 Packages

Total size: 22 M
Total download size: 6.2 M
Is this ok [y/N]: y

[root@auto-hv-02-guest06 newrpms]# rpm -qa | grep sssd-libwbclient ; echo $?
1

Comment 13 errata-xmlrpc 2021-11-09 20:19:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (sssd bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:4541


Note You need to log in before you can comment on or make changes to this bug.